Page MenuHomePhabricator

Configure Wikimedia Parsoid servers to know about Dutch Wikinews
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2017, 8:18 PM

How can be this task fulfiled?

The step you identified (in T168764#3418243) needs to happen after the production sitematrix is updated.

https://wikitech.wikimedia.org/wiki/Add_a_wiki#Parsoid

@Arlolra Are you sure? In https://github.com/wikimedia/parsoid/blob/master/lib/config/sitematrix.json I can see the following. I've already updated it for that purpose, see https://gerrit.wikimedia.org/r/#/c/364084/ (and by the way, there's your +2).

4464                                 {
4465                                         "url": "https://nl.wikinews.org",
4466                                         "dbname": "nlwikinews",
4467                                         "code": "wikinews",
4468                                         "sitename": "Wikinews"
4469                                 },
Elitre added a subscriber: Elitre.Jul 28 2017, 12:11 PM

Change 368432 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/restbase/deploy@master] T171897: Add nl.wikinews.org

https://gerrit.wikimedia.org/r/368432

Oh, sorry, I didn't realize it was already in the sitematrix. And, if I try,

> curl http://localhost:8000/nl.wikinews.org/v3/page/html/Hoofdpagina/86203

on the Parsoid cluster, it renders. So, nothing more to do on the Parsoid end.

However, https://nl.wikinews.org/api/rest_v1/page/html/Hoofdpagina 404s. Which means that RESTBase probably needs an update / deploy (that's the step above Parsoid in the a "Add a wiki" link. /cc @Pchelolo @mobrovac

Seba98 added a subscriber: Seba98.Jul 28 2017, 2:49 PM

Change 368432 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] T171897: Add nl.wikinews.org

https://gerrit.wikimedia.org/r/368432

Merged the patch but the deploy is not happening today. Will deploy on Monday.

Thank you both!

Parsoid knows, but it looks like RESTbase doesn't? https://nl.wikinews.org/api/rest_v1/?doc

Mentioned in SAL (#wikimedia-operations) [2017-08-01T03:42:46Z] <mobrovac@tin> Started deploy [restbase/deploy@0d12138]: Add nl.wikinews - T171897

Mentioned in SAL (#wikimedia-operations) [2017-08-01T03:50:43Z] <mobrovac@tin> Finished deploy [restbase/deploy@0d12138]: Add nl.wikinews - T171897 (duration: 07m 57s)

mobrovac assigned this task to Arlolra.Aug 1 2017, 3:52 AM
mobrovac edited projects, added Services (done); removed Patch-For-Review.

Parsoid knows, but it looks like RESTbase doesn't? https://nl.wikinews.org/api/rest_v1/?doc

It does now :) Resolving.

Urbanecm closed this task as Resolved.Aug 1 2017, 11:06 AM